import { Color, CompositeLayer, UpdateParameters, LayersList } from "@deck.gl/core/typed";
import { Position3D, ExtendedLayerProps } from "../utils/layerTools";
export interface Axes2DLayerProps<D> extends ExtendedLayerProps<D> {
    labelColor?: Color;
    labelFontSize?: number;
    fontFamily?: string;
    axisColor?: Color;
    marginH: number;
    marginV: number;
}
declare type TextLayerData = {
    label: string;
    from: Position3D;
    to: Position3D;
    size: number;
};
export default class Axes2DLayer extends CompositeLayer<Axes2DLayerProps<unknown>> {
    shouldUpdateState({ props, oldProps, context, changeFlags, }: UpdateParameters<this>): boolean;
    getAnchor(d: TextLayerData): string;
    getLabelPosition(d: TextLayerData): Position3D;
    getBaseLine(d: TextLayerData): string;
    renderLayers(): LayersList;
}
export {};
